Get Review
curl --request GET \
--url https://omnicommerce.sg/api/v1/reviews/{reviewId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.sg/api/v1/reviews/{reviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/reviews/{reviewId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"apiVersion": "developer_v1",
"operationId": "<string>",
"status": "accepted",
"warnings": [
"<string>"
],
"recommendations": [
"<string>"
],
"links": {},
"data": {
"review": {
"id": "<string>",
"platform": "shopee",
"accountId": "<string>",
"storeName": "<string>",
"productId": "<string>",
"productName": "<string>",
"productSku": "<string>",
"productThumbnailUrl": "<string>",
"orderId": "<string>",
"externalItemId": "<string>",
"externalReviewId": "<string>",
"externalOrderId": "<string>",
"kind": "product_review",
"status": "open",
"rating": 123,
"comment": "<string>",
"sellerReply": "<string>",
"sellerRepliedAt": "<string>",
"canReply": true,
"replyRestriction": "<string>",
"reviewedAt": "<string>",
"marketplaceListingUrl": "<string>",
"sellerCenterUrl": "<string>",
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
},
"jobId": "<string>",
"productId": "<string>"
}Reviews
Get Review
Read one review by its OmniCommerce UUID. Requires reviews:read.
GET
/
api
/
v1
/
reviews
/
{reviewId}
Get Review
curl --request GET \
--url https://omnicommerce.sg/api/v1/reviews/{reviewId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.sg/api/v1/reviews/{reviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/reviews/{reviewId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"apiVersion": "developer_v1",
"operationId": "<string>",
"status": "accepted",
"warnings": [
"<string>"
],
"recommendations": [
"<string>"
],
"links": {},
"data": {
"review": {
"id": "<string>",
"platform": "shopee",
"accountId": "<string>",
"storeName": "<string>",
"productId": "<string>",
"productName": "<string>",
"productSku": "<string>",
"productThumbnailUrl": "<string>",
"orderId": "<string>",
"externalItemId": "<string>",
"externalReviewId": "<string>",
"externalOrderId": "<string>",
"kind": "product_review",
"status": "open",
"rating": 123,
"comment": "<string>",
"sellerReply": "<string>",
"sellerRepliedAt": "<string>",
"canReply": true,
"replyRestriction": "<string>",
"reviewedAt": "<string>",
"marketplaceListingUrl": "<string>",
"sellerCenterUrl": "<string>",
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
},
"jobId": "<string>",
"productId": "<string>"
}Authorizations
Bearer API key for server-to-server access. Session auth is also supported in first-party UI flows.
Path Parameters
Query Parameters
Required for session auth. API keys already belong to one organization.
Maximum string length:
160Response
The review.
Allowed value:
"developer_v1"Available options:
accepted, completed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes